org.apache.storm.opentsdb.client

## Class OpenTsdbClient

- java.lang.Object
- - org.apache.storm.opentsdb.client.OpenTsdbClient

-     public class OpenTsdbClient
      extends Object

  Client to connect to OpenTsdb TSD for storing timeseries datapoints.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OpenTsdbClient.Builder`
    `static class` | `OpenTsdbClient.ResponseType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OpenTsdbClient(String urlString, boolean sync, long syncTimeOut, OpenTsdbClient.ResponseType responseType, boolean enableChunkedEncoding)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()`
    `static OpenTsdbClient.Builder` | `newBuilder(String url)`
    `ClientResponse.Details` | `writeMetricPoint(OpenTsdbMetricDatapoint metricDataPoint)`
    `ClientResponse.Details` | `writeMetricPoints(Collection<OpenTsdbMetricDatapoint> metricDataPoints)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenTsdbClient

          protected OpenTsdbClient(String urlString,
                                   boolean sync,
                                   long syncTimeOut,
                                   OpenTsdbClient.ResponseType responseType,
                                   boolean enableChunkedEncoding)

  - ### Method Detail

    - #### writeMetricPoint

          public ClientResponse.Details writeMetricPoint(OpenTsdbMetricDatapoint metricDataPoint)

    - #### writeMetricPoints

          public ClientResponse.Details writeMetricPoints(Collection<OpenTsdbMetricDatapoint> metricDataPoints)

    - #### cleanup

          public void cleanup()

    - #### newBuilder

          public static OpenTsdbClient.Builder newBuilder(String url)

Copyright © 2021 The Apache Software Foundation. All rights reserved.